Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Path Parameters

index_uid
string
required

Unique identifier of the index.

Query Parameters

showInternalDatabaseSizes
boolean

If true, adds internalDatabaseSizes to the response.

sizeFormat
enum<string>

Specify how to format the sizes:

  • "raw" (default): format sizes as a number of bytes
  • "human": format sizes as a human-readable string with an appropriate unit.
Available options:
human,
raw

Response

The stats of the index.

Stats of an Index, as known to the stats route.

numberOfDocuments
integer<u-int64>
required

Number of documents in the index

Required range: x >= 0
rawDocumentDbSize
required

Size of the documents database, in bytes.

Required range: x >= 0
avgDocumentSize
required

Average size of a document in the documents database.

Required range: x >= 0
isIndexing
boolean
required

Whether or not the index is currently ingesting document

fieldDistribution
object
required

Association of every field name with the number of times it occurs in the documents.

internalDatabaseSizes
object

Size of all the internal databases for the index.

Database names can change from version to version.

numberOfEmbeddings
integer<u-int64> | null

Number of embeddings in the index

Required range: x >= 0
numberOfEmbeddedDocuments
integer<u-int64> | null

Number of embedded documents in the index

Required range: x >= 0